@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

:root {
    --bouncy: cubic-bezier(0, 2, 0.8, 1);
    --bouncy2: cubic-bezier(0, 3, 0.8, 1);
  }

html {
    background-color: rgb(25, 25, 25);
    color: white;
    font-family: "Poppins", sans-serif;
}

body {
    margin: 0;
}

a {
    text-decoration: none;
    color: white;
}

.version {
    opacity: 0.5;
    position: absolute;
    top: 10px;
    left: 10px;
}

.all {
    display: flex;
}

.all section {
    width: calc(100vw / 3);
    text-align: center;
    display: flex;
    align-items: center;
    flex-direction: column;
}

.all section h1 {
    font-size: 1.75em;
}

#sentence {
    height: 50px;
}

.generate-button-container {
    display: flex;
    justify-content: center;
    align-items: center;
}

.generate-button {
    padding: 10px;
    background-color: rgb(40, 40, 40);
    user-select: none;
    cursor: pointer;
    border-radius: 5px;
    outline: 3px rgb(50, 50, 50) solid;
    transition: letter-spacing var(--bouncy) 0.25s;
}

.generate-button:hover {
    letter-spacing: 1px;
}

.generate-button:active {
    letter-spacing: 0px;
}

.sentence {
    text-align: center;
}

.person1 {
    color: rgb(107, 184, 255);
    font-weight: 600;
}

.person2 {
    color: rgb(255, 196, 107);
    font-weight: 600;
}

.object1 {
    color: rgb(132, 255, 107);
    font-weight: 600;
}

.object2 {
    color: rgb(255, 107, 248);
    font-weight: 600;
}

.sup {
    font-weight: 300;
    font-size: 0.75em;
}

.center {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 5px;
}

.slider-container {
    margin-top: 50px;
    display: flex;
    justify-content: center;
    align-content: center;
    flex-direction: column;
    text-align: center;
}

.slider {
    -webkit-appearance: none;
    width: 200px;
    height: 8px;
    background: rgb(20, 20, 20);
    border-radius: 10px;
    outline: none;
    margin: 20px 0;
}
  
.slider::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 20px;
    height: 20px;
    background: rgb(105, 71, 255);
    outline: 2px rgb(70, 54, 216) solid;
    border-radius: 50%;
    cursor: pointer;
    transition: outline var(--bouncy2) 0.25s, width var(--bouncy2) 0.25s, height var(--bouncy2) 0.25s;
}
  
.slider::-moz-range-thumb {
    width: 20px;
    height: 20px;
    background: rgb(105, 71, 255);
    outline: 2px rgb(70, 54, 216) solid;
    border: none;
    border-radius: 50%;
    cursor: pointer;
    transition: outline var(--bouncy2) 0.25s, width var(--bouncy2) 0.25s, height var(--bouncy2) 0.25s;
}

.slider::-webkit-slider-thumb:hover {
    outline: 3px rgb(70, 54, 216) solid;
    width: 25px;
    height: 25px;
}
  
.slider::-moz-range-thumb:hover {
    outline: 3px rgb(70, 54, 216) solid;
    width: 25px;
    height: 25px;
}

.slider::-webkit-slider-thumb:active {
    outline: 3px rgb(70, 54, 216) solid;
    width: 20px;
    height: 20px;
}

.slider::-moz-range-thumb:active {
    outline: 3px rgb(70, 54, 216) solid;
    width: 20px;
    height: 20px;
}

.about {
    position: absolute;
    width: 100vw;
    bottom: 100px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 5px;
}

.about a {
    color: rgb(107, 184, 255);
    font-weight: 700;
}

.aboutB {
    font-weight: 700;
}

.footer {
    position: absolute;
    bottom: 10px;
    width: 100vw;
    display: flex;
    justify-content: center;
}

.footer img {
    width: 200px;
    opacity: 0.25;
}

@media (max-width: 767px) {
    #blankMobileSection {
        display: none;
    }
    .all section {
        width: 100vw;
    }

    .about {
        text-align: center;
    }
    #sentence {
        height: 75px;
    }
}